Bug 1306795 - python-kafka-1.3.4 is available
python-kafka-1.3.4 is available
Status: NEW
Product: Fedora
Classification: Fedora
Component: python-kafka (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pradeep Kilambi
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 12:46 EST by Upstream Release Monitoring
Modified: 2017-08-14 08:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 1.0.0 (#1306795) (1.02 KB, patch)
2016-02-16 19:16 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.0.1 (#1306795) (1.02 KB, patch)
2016-02-19 19:13 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.46 KB, patch)
2016-03-15 08:13 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.33 KB, patch)
2016-04-26 08:13 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.33 KB, patch)
2016-04-27 08:16 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.33 KB, patch)
2016-06-01 20:14 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.33 KB, patch)
2016-06-21 20:17 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.33 KB, patch)
2016-07-06 20:15 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.33 KB, patch)
2016-07-09 08:19 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.33 KB, patch)
2016-08-08 08:34 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.33 KB, patch)
2016-08-09 08:19 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.33 KB, patch)
2016-12-30 07:12 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.3.3 (#1306795) (1.02 KB, patch)
2017-03-14 20:19 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.3.4 (#1306795) (1.02 KB, patch)
2017-08-14 08:20 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2016-02-11 12:46:53 EST
Latest upstream release: v0.9.5
Current version/release in rawhide: 0.9.4-2.fc24
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-02-11 12:47:01 EST
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-E7kqRA/python-kafka.spec
return code:  22
stdout:
Getting https://pypi.python.org/packages/source/k/kafka-python/kafka-python-v0.9.5.tar.gz to ./kafka-python-v0.9.5.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 2 Upstream Release Monitoring 2016-02-16 19:16:33 EST
Latest upstream release: 1.0.0
Current version/release in rawhide: 0.9.4-2.fc24
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 3 Upstream Release Monitoring 2016-02-16 19:16:42 EST
Created attachment 1127757 [details]
[patch] Update to 1.0.0 (#1306795)
Comment 4 Upstream Release Monitoring 2016-02-16 19:26:49 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13014608
Comment 5 Upstream Release Monitoring 2016-02-19 19:13:24 EST
Latest upstream release: 1.0.1
Current version/release in rawhide: 0.9.4-2.fc24
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 6 Upstream Release Monitoring 2016-02-19 19:13:30 EST
Created attachment 1128685 [details]
[patch] Update to 1.0.1 (#1306795)
Comment 7 Upstream Release Monitoring 2016-02-19 19:22:07 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13054278
Comment 8 Upstream Release Monitoring 2016-03-15 08:13:52 EDT
Latest upstream release: 1.0.2
Current version/release in rawhide: 0.9.4-2.fc24
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 9 Upstream Release Monitoring 2016-03-15 08:13:56 EDT
Patching or scratch build for python-kafka and version 0.9.4 FAILED.
See for details
Comment 10 Upstream Release Monitoring 2016-03-15 08:13:57 EDT
Created attachment 1136570 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 11 Upstream Release Monitoring 2016-03-15 08:13:58 EDT
Patches were not touched. All were applied properly
Comment 12 Upstream Release Monitoring 2016-04-26 08:13:34 EDT
Latest upstream release: 1.1.0
Current version/release in rawhide: 0.9.4-2.fc24
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9478/
Comment 13 Upstream Release Monitoring 2016-04-26 08:13:39 EDT
Patching or scratch build for python-kafka-0.9.4 failed.
Comment 14 Upstream Release Monitoring 2016-04-26 08:13:40 EDT
Created attachment 1150908 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 15 Upstream Release Monitoring 2016-04-26 08:13:42 EDT
Patches were not touched. All were applied properly
Comment 16 Upstream Release Monitoring 2016-04-27 08:16:18 EDT
Latest upstream release: 1.1.1
Current version/release in rawhide: 0.9.4-2.fc24
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9478/
Comment 17 Upstream Release Monitoring 2016-04-27 08:16:22 EDT
Patching or scratch build for python-kafka-0.9.4 failed.
Comment 18 Upstream Release Monitoring 2016-04-27 08:16:23 EDT
Created attachment 1151346 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 19 Upstream Release Monitoring 2016-04-27 08:16:25 EDT
Following patches has been deleted:
['nodejs-iconv-system-iconv.patch']
Comment 20 Upstream Release Monitoring 2016-04-27 08:16:26 EDT
Following patches has been unapplied:
['nodejs-iconv-system-iconv.patch']
Comment 21 Upstream Release Monitoring 2016-06-01 20:14:22 EDT
Latest upstream release: 1.2.1
Current version/release in rawhide: 0.9.4-2.fc24
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9478/
Comment 22 Upstream Release Monitoring 2016-06-01 20:14:26 EDT
Patching or scratch build for python-kafka-0.9.4 failed.
Comment 23 Upstream Release Monitoring 2016-06-01 20:14:27 EDT
Created attachment 1163836 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 24 Upstream Release Monitoring 2016-06-01 20:14:29 EDT
Patches were not touched. All were applied properly
Comment 25 Upstream Release Monitoring 2016-06-21 20:16:54 EDT
Latest upstream release: 1.2.2
Current version/release in rawhide: 0.9.4-2.fc24
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9478/
Comment 26 Upstream Release Monitoring 2016-06-21 20:16:59 EDT
Patching or scratch build for python-kafka-0.9.4 failed.
Comment 27 Upstream Release Monitoring 2016-06-21 20:17:00 EDT
Created attachment 1170464 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 28 Upstream Release Monitoring 2016-06-21 20:17:01 EDT
Patches were not touched. All were applied properly
Comment 29 Upstream Release Monitoring 2016-07-06 20:15:34 EDT
Latest upstream release: 1.2.3
Current version/release in rawhide: 0.9.4-2.fc24
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9478/
Comment 30 Upstream Release Monitoring 2016-07-06 20:15:38 EDT
Patching or scratch build for python-kafka-0.9.4 failed.
Comment 31 Upstream Release Monitoring 2016-07-06 20:15:39 EDT
Created attachment 1177091 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 32 Upstream Release Monitoring 2016-07-06 20:15:40 EDT
Patches were not touched. All were applied properly
Comment 33 Upstream Release Monitoring 2016-07-09 08:19:16 EDT
Latest upstream release: 1.2.4
Current version/release in rawhide: 0.9.4-2.fc24
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9478/
Comment 34 Upstream Release Monitoring 2016-07-09 08:19:21 EDT
Patching or scratch build for python-kafka-0.9.4 failed.
Comment 35 Upstream Release Monitoring 2016-07-09 08:19:22 EDT
Created attachment 1177854 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 36 Upstream Release Monitoring 2016-07-09 08:19:23 EDT
Patches were not touched. All were applied properly
Comment 37 Upstream Release Monitoring 2016-07-16 08:19:52 EDT
Latest upstream release: 1.2.5
Current version/release in rawhide: 0.9.4-2.fc24
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9478/
Comment 38 Upstream Release Monitoring 2016-07-16 08:19:57 EDT
Rebase helper failed.
See logs and attachments in this bugzilla 'NoneType' object has no attribute 'get_rebasehelper_data'
Comment 39 Upstream Release Monitoring 2016-07-16 08:20:03 EDT
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-pVxO_z/python-kafka.spec
return code:  22
stdout:
Getting https://pypi.python.org/packages/source/k/kafka-python/kafka-python-1.2.5.tar.gz to ./kafka-python-1.2.5.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 40 Upstream Release Monitoring 2016-08-08 08:34:43 EDT
Latest upstream release: 1.3.0
Current version/release in rawhide: 0.9.4-3.fc25
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9478/
Comment 41 Upstream Release Monitoring 2016-08-08 08:34:48 EDT
Patching or scratch build for python-kafka-0.9.4 failed.
Comment 42 Upstream Release Monitoring 2016-08-08 08:34:49 EDT
Created attachment 1188720 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 43 Upstream Release Monitoring 2016-08-08 08:34:50 EDT
Patches were not touched. All were applied properly
Comment 44 Upstream Release Monitoring 2016-08-09 08:19:51 EDT
Latest upstream release: 1.3.1
Current version/release in rawhide: 0.9.4-3.fc25
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9478/
Comment 45 Upstream Release Monitoring 2016-08-09 08:19:57 EDT
Patching or scratch build for python-kafka-0.9.4 failed.
Comment 46 Upstream Release Monitoring 2016-08-09 08:19:58 EDT
Created attachment 1189240 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 47 Upstream Release Monitoring 2016-08-09 08:19:59 EDT
Following patches has been deleted:
['otp-0001-Do-not-format-man-pages-and-do-not-install-miscellan.patch', 'otp-0002-Remove-rpath.patch', 'otp-0003-Do-not-install-C-sources.patch', 'otp-0004-Do-not-install-Java-sources.patch', 'otp-0005-Do-not-install-nteventlog-and-related-doc-files-on-n.patch', 'otp-0006-Do-not-install-erlang-sources.patch', 'otp-0007-Respect-proto_dist-switch-while-connection-to-EPMD.patch']
Comment 48 Upstream Release Monitoring 2016-12-30 07:12:46 EST
Latest upstream release: 1.3.2
Current version/release in rawhide: 0.9.4-4.fc26
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9478/
Comment 49 Upstream Release Monitoring 2016-12-30 07:12:52 EST
Patching or scratch build for python-kafka-0.9.4 failed.
Comment 50 Upstream Release Monitoring 2016-12-30 07:12:53 EST
Created attachment 1236064 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 51 Upstream Release Monitoring 2016-12-30 07:12:55 EST
Patches were not touched. All were applied properly
Comment 52 Upstream Release Monitoring 2017-03-14 20:19:20 EDT
Latest upstream release: 1.3.3
Current version/release in rawhide: 1.3.1-2.fc26
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9478/
Comment 53 Upstream Release Monitoring 2017-03-14 20:19:24 EDT
Created attachment 1263156 [details]
[patch] Update to 1.3.3 (#1306795)
Comment 54 Upstream Release Monitoring 2017-03-14 20:22:07 EDT
hotness's scratch build of python-kafka-1.3.3-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=18386357
Comment 55 Upstream Release Monitoring 2017-08-14 08:20:18 EDT
Latest upstream release: 1.3.4
Current version/release in rawhide: 1.3.1-3.fc27
URL: https://github.com/mumrah/kafka-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9478/
Comment 56 Upstream Release Monitoring 2017-08-14 08:20:26 EDT
Created attachment 1313087 [details]
[patch] Update to 1.3.4 (#1306795)
Comment 57 Upstream Release Monitoring 2017-08-14 08:23:32 EDT
hotness's scratch build of python-kafka-1.3.4-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=21224170

Note You need to log in before you can comment on or make changes to this bug.